package com.ym.mec.education.entity;

import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;

/**
 * <p>
 * 课程作业模板
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("course_homework_template")
public class CourseHomeworkTemplate extends Model<CourseHomeworkTemplate> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    /**
     * 模板名称
     */
    @TableField("name_")
    private String name;
    /**
     * 模板内容
     */
    @TableField("content_")
    private String content;
    @TableField("del_flag_")
    private String delFlag;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 班级类型(普通班级、合奏班级、提高课班级、VIP班级)
     */
    @TableField("class_group_type_")
    private String classGroupType;
    @TableField("subject_id_")
    private Integer subjectId;


    public Integer getId() {
        return id;
    }

    public CourseHomeworkTemplate setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public CourseHomeworkTemplate setName(String name) {
        this.name = name;
        return this;
    }

    public String getContent() {
        return content;
    }

    public CourseHomeworkTemplate setContent(String content) {
        this.content = content;
        return this;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public CourseHomeworkTemplate setDelFlag(String delFlag) {
        this.delFlag = delFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public CourseHomeworkTemplate setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public CourseHomeworkTemplate setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getClassGroupType() {
        return classGroupType;
    }

    public CourseHomeworkTemplate setClassGroupType(String classGroupType) {
        this.classGroupType = classGroupType;
        return this;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public CourseHomeworkTemplate setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CourseHomeworkTemplate{" +
        ", id=" + id +
        ", name=" + name +
        ", content=" + content +
        ", delFlag=" + delFlag +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", classGroupType=" + classGroupType +
        ", subjectId=" + subjectId +
        "}";
    }
}
